// Exercice Ajax
console.log('index.js');

//// Sauvegarde du fichier toolbox (algo + tout découpé / tests) pour la compréhension


//// Variables
/// Récupération des éléments html
let formHTML = document.querySelector('#form');
let loadedContentHTML = document.querySelector('#loaded-content');

console.log(formHTML);
console.log(loadedContentHTML);

// 0. Envoi du formulaire + preventDefault
formHTML.addEventListener("submit", onSubmit);

function onSubmit(event) {
    event.preventDefault();

    console.log("onSubmit");
}

// 1. Récupérer la valeur du champ radio
// 1.1 Récupérer tous les radios
// let radiosHTML = formHTML.querySelectorAll("input[type=radio]");
// console.log(radiosHTML);

// 1.2 discrimination du champ selected
let radioSelectedHTML = formHTML.querySelector("input[type=radio]:checked");
// console.log(radioSelectedHTML);

// 1.3 Récupération de sa valeur
console.log(radioSelectedHTML.value);


// 2. Call promesse
//  Test de l'exemple de grafikart
//      https://www.grafikart.fr/tutoriels/promise-async-await-875 > Les promesses
let ajax = function (url) {
    // On renvoie une promesse qui prend en paramettre une fonction 
    // avec 2 paramètres, le callback de succès et d'erreur
    return new Promise(function (resolve, reject) {
        // Le reste du code ressemble à la méthode précédente
        let req = new XMLHttpRequest();
        req.open('GET', url, true);
        req.onreadystatechange = function (aEvt) {
            if (req.readyState == 4) {
                if(req.status == 200) {
                    resolve(req.responseText);
                }
                else {
                    reject(req);
                }
            }
        };
        req.send(null);
    })
}

// L'appel à la fonction peut se faire de cette manière là
ajax('https://jsonplaceholder.typicode.com/users')
    .then(function (response) {
        // Le serveur a correctement répondu
        console.log(response);
    })
    .catch(function (req) {
        console.log(req);
        // Le serveur n'a pas répondu comme attendu
    })

// 2.28 Test sur nos api
ajax('php/1-get-html-article.php')
    .then(function (response) {
        // Le serveur a correctement répondu
        console.log(response);
    })
    .catch(function (req) {
        console.log(req);
        // Le serveur n'a pas répondu comme attendu
    })

// 3. Assemblage
